# temp disable doc
%define build_doc 0

# exclude plugin .so from provides
%define _exclude_files_from_autoprov %{_libdir}/libnl/.*\\.so

%define api	3
%define major	200
%define libname	%mklibname nl %{api} %{major}
%define devname	%mklibname nl %{api} -d

%define libcli		%mklibname nl-cli %{api} %{major}
%define libroute	%mklibname nl-route %{api} %{major}
%define libgenl		%mklibname nl-genl %{api} %{major}
%define libnf		%mklibname nl-nf %{api} %{major}
%define libidiag	%mklibname nl-idiag %{api} %{major}
%define libxfrm		%mklibname nl-xfrm %{api} %{major}

Summary:	A collection of libraries providing APIs to netlink protocol based kernel interfaces
Group:		System/Libraries
License:	LGPLv2
Name:		libnl3
Version:	3.5.0
Release:	%mkrel 1
URL:		http://www.infradead.org/~tgr/libnl/
Source:		http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.xz
BuildRequires:	flex
BuildRequires:	bison

%description
A collection of libraries providing APIs to netlink protocol based kernel
interfaces.

Netlink is a IPC mechanism primarly between the kernel and user space
processes. It was designed to be a more flexible successor to ioctl to
provide mainly networking related kernel configuration and monitoring
interfaces.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name}-config >= %{version}-%{release}


%description -n %{libname}
Core library implementing the fundamentals required to use the netlink
protocol such as socket handling, message construction and parsing,
and sending and receiving of data. This library is kept small and
minimalistic.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	glibc-headers-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package config
Summary:	Name maps for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description config
This package contains configuration files for %{name}.

%package tools
Summary:	Command line utilities to directly work with Netlink
Group:		System/Libraries

%description tools
Various test program with which the functionality of %{name} is
demonstrated.

%if %build_doc
%package	doc
Summary:	API documentation for libnl3
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains libnl3 API documentation.
%endif

%prep
%setup -q -n libnl-%{version}
%apply_patches

%build
%configure2_5x --disable-static
%make

%if %build_doc
pushd doc
    # docs aren't parallel-make safe
    make gendoc
popd
%endif

%install
rm -rf %buildroot
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libnl-%{api}.so.%{major}*
%{_libdir}/libnl-genl-%{api}.so.%{major}*
%{_libdir}/libnl-idiag-%{api}.so.%{major}*
%{_libdir}/libnl-nf-%{api}.so.%{major}*
%{_libdir}/libnl-route-%{api}.so.%{major}*
%{_libdir}/libnl-cli-%{api}.so.%{major}*
%{_libdir}/libnl-xfrm-%{api}.so.%{major}*
%dir %{_libdir}/libnl/
%dir %{_libdir}/libnl/cli/
%dir %{_libdir}/libnl/cli/cls
%dir %{_libdir}/libnl/cli/qdisc/
%{_libdir}/libnl/cli/cls/basic.so
%{_libdir}/libnl/cli/cls/cgroup.so
%{_libdir}/libnl/cli/qdisc/bfifo.so
%{_libdir}/libnl/cli/qdisc/blackhole.so
%{_libdir}/libnl/cli/qdisc/fq_codel.so
%{_libdir}/libnl/cli/qdisc/ingress.so
%{_libdir}/libnl/cli/qdisc/hfsc.so
%{_libdir}/libnl/cli/qdisc/htb.so
%{_libdir}/libnl/cli/qdisc/pfifo.so
%{_libdir}/libnl/cli/qdisc/plug.so

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libnl-%{api}.so
%{_libdir}/libnl-cli-%{api}.so
%{_libdir}/libnl-genl-%{api}.so
%{_libdir}/libnl-idiag-%{api}.so
%{_libdir}/libnl-nf-%{api}.so
%{_libdir}/libnl-route-%{api}.so
%{_libdir}/libnl-xfrm-%{api}.so
%{_libdir}/pkgconfig/libnl-3.0.pc
%{_libdir}/pkgconfig/libnl-cli-3.0.pc
%{_libdir}/pkgconfig/libnl-genl-3.0.pc
%{_libdir}/pkgconfig/libnl-idiag-3.0.pc
%{_libdir}/pkgconfig/libnl-nf-3.0.pc
%{_libdir}/pkgconfig/libnl-route-3.0.pc
%{_libdir}/pkgconfig/libnl-xfrm-3.0.pc

%files config
%dir %{_sysconfdir}/libnl/
%config %{_sysconfdir}/libnl/classid
%config %{_sysconfdir}/libnl/pktloc

%files tools
%{_bindir}/*
%{_mandir}/man8/*.8.*

%if %build_doc
%files doc
%doc doc/*.html
%doc doc/*.css
%doc doc/stylesheets/*
%doc doc/images/*
%doc doc/images/icons/*
%doc doc/images/icons/callouts/*
%doc doc/api/*
%endif


%changelog
* Sat Jan 04 2020 tex - 3.5.0-1pclos2020
- new version

* Tue Oct 15 2019 tex - 3.3.0-2pclos2019
- rebuild against updates

* Tue Jun 13 2017 bb2 <bb2> - 3.3.0-1pclos2017
- new version

* Tue Jan 03 2017 bb <bb> - 3.2.29-1pclos2017
- new version

* Sun Jan 03 2016 bb <bb> 3.2.27-1pclos2016
- update

* Mon Aug 03 2015 bb <bb> 3.2.25-1pclos2015
- import into pclos
